{ pkgs, ... }:
let
  firefox-addons = pkgs.nur.repos.rycee.firefox-addons;
  social-focus = firefox-addons.buildFirefoxXpiAddon {
    pname = "social-focus";
    version = "7.2";
    addonId = "{26b4f076-089c-4c69-8497-44b7e5c9faef}";
    url = "https://addons.mozilla.org/firefox/downloads/file/4567333/socialfocus-7.2.xpi";
    sha256 = "0mz1y88c8n2lnrzmhdc5dd94sisdyabx155kpk79a3k1axphmxmh";
    meta = with pkgs.lib; {
      homepage = "https://socialfocus.app/";
      description = "Hide distracting content on social media";
      license = licenses.mit;
      platforms = platforms.all;
    };
  };
in
{
  extensions.packages = builtins.attrValues {
    inherit (firefox-addons)
      bitwarden
      sponsorblock
      ublock-origin
      unpaywall
      untrap-for-youtube
      ;
    inherit social-focus;
  };
}
